Subject: draft-ietf-fax-timely-delivery-01.txt

From: Hiroshi Tamura <[email-masked]>
Date: Mon, 04 Dec 2000 14:32:51 +0900 (JST)

Personal comments.

There are mainly two pending issues, I think.
Section 4 "Compliance-required ESMTP extension" and
Section 5 "DSN extension".

The Key issue is Compliance-required(section 4).
If my undestanding is correct, this must be dealt with UA
like POP/IMAP4 device. If so, how about considering the time
interval by POP/IMAP4 device?

If the thing that comforms to timely delivery is a POP/IMAP4 device
and I-fax device, is it possible to recommend the short interval time?
Specific value is difficult to define, but, I think the value
for guidance can be described like Section 3.4(Timely confirmation).
If it is the I-fax device(not PC mailer software), it runs 24-hours.
It may be feasible.

This is just at idea level.

The next is DSN extension(section 5).
Yes, it would be better to have the extension. But, we can use
the existing definitions. There are "delayed" action-value
with status code 4.4.7 and "failed" with 5.4.7, which are
written in section 4.1.3 of RFC2852. There are other dscriptions.

Am I out of the stories?

Also, how about separating requirement parts and guidance parts?
For example, Section 3.4(Timely confirmation) is for guidance.

Minimum requirements should be decided, but, it is no problems
that the rests are guidances or implementation issues, I think.
Because, there are some items that are difficult to solve completely.

I hope it helps you.

Regards,
--
Hiroshi Tamura, Ricoh Company, LTD.
E-mail: [email-masked]